# {{ ansible_managed }}

server {
  listen 443 ssl;
  ssl_certificate /etc/letsencrypt/live/{{ item.server_name }}/fullchain.pem;
  ssl_certificate_key /etc/letsencrypt/live/{{ item.server_name }}/privkey.pem;
  # include /etc/letsencrypt/options-ssl-nginx.conf;
  ssl_dhparam /etc/letsencrypt/ssl-dhparams.pem;
  server_name {{ item.server_name }};
  proxy_read_timeout 720s;
  proxy_connect_timeout 720s;
  proxy_send_timeout 720s;
  proxy_set_header X-Forwarded-Host $host;
  proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
  proxy_set_header X-Forwarded-Proto $scheme;
  proxy_set_header X-Real-IP $remote_addr;
  ssl on;
  access_log /var/log/nginx/metabase.access.log;
  error_log /var/log/nginx/metabase.error.log;
  location / {
    proxy_redirect off;
    proxy_pass http://metabase;
  }
  gzip_types text/css text/less text/plain text/xml application/xml application/json application/javascript;
  gzip on;
}
